@import '../../colors.scss';

// .top-bar {
//     position: fixed;
//     display: flex;
//     top: 0;
//     width: 100%;
//     box-sizing: border-box;
//     padding: 10px;
//     align-items: center;
//     background-color: $orange;
//     box-shadow: 0px 2px 5px 0px #00000080;
//     z-index: 1;
//     .top-bar-button {
//         padding: 10px 8px;
//         font-size: 1.6rem;
//         color: white;
//         border-radius: 50%;
//         transition: all 200ms;
//         &:active {
//             background-color: #ffffff40;
//         }
//     }
// }

.top-bar-container {
    position: fixed;
    display: flex;
    flex-direction: column;
    top: 0;
    width: 100%;
    box-sizing: border-box;
    align-items: center;
    background-color: $orange;
    box-shadow: 0px 2px 5px 0px #00000080;
    z-index: 1;
    .top-bar {
        position: fixed;
        display: flex;
        width: 100%;
        box-sizing: border-box;
        padding: 10px;
        align-items: center;
        &:not(.profile) {
            background: inherit;
            box-shadow: inherit;
        }
        .top-bar-button {
            padding: 10px 8px;
            font-size: 1.6rem;
            color: white;
            border-radius: 50%;
            transition: all 200ms;
            &:active {
                background-color: #ffffff40;
            }
        }
    }
    .user-container {
        display: flex;
        flex: 1;
        flex-direction: column;
        align-items: center;
        margin: 40px 0 10px;
        padding: 10px;
        color: white;
        img {
            display: block;
            height: 75px;
            width: 75px;
            border-radius: 50%;
            overflow: hidden;
        }
        .user-name {
            padding: 10px 0 5px;
            font-size: 2rem;
            font-weight: 400;
            display: flex;
            align-items: center;
            .certified {
                padding-left: 5px;
                font-size: 1.5rem;
            }
        }
        .user-details {
            font-size: 1.4rem;
        }
    }
}
